CRYPTO_ABLKCIPHER_EN(9)

NAME
crypto_ablkcipher_encrypt - encrypt plaintext

SYNOPSIS

int crypto_ablkcipher_encrypt(struct ablkcipher_request * req);

ARGUMENTS

req
    reference to the ablkcipher_request handle that holds all information needed to perform the cipher operation

DESCRIPTION

Encrypt plaintext data using the ablkcipher_request handle. That data structure and how it is filled with data is discussed with the ablkcipher_request_* functions.

RETURN

0 if the cipher operation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT